#toggleSettings{
    background: none;
    border: none;
    font-size: 20px;
    width: 20px;
    cursor: pointer;
    margin-right: 5px;

}

/* overlay full screen */
.overlay {
    position: fixed;
    inset: 0;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.5); /* fond semi-transparent */
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1000;
}

/* centrer le contenu */
.overlay-content {
    background: none;
    padding: 20px;
    border-radius: 10px;
   
    overflow-y: auto;
    box-shadow: 0 0 0px rgba(0,0,0,0.3);
    position: relative;
}

/* ===== BOITE ===== */

.settings-box {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    border: 3px solid black;
    background: linear-gradient(
        to bottom,
        lightgray 0%,
        white 30%,
        hsl(180, 85%, 45%) 100%
    )!important;
    border-radius: 15px;
    padding: 0px;
    width: 320px;

    box-shadow: 5px 5px 0px black;

    font-family: "Comic Sans MS", "Comic Neue", "cursive";
    transform: rotate(-1deg);
    
}
.settings-header{
    width: 100%;
    padding:20px;
    text-align: center;
    background: radial-gradient(
        white 30%,
        hsl(180, 85%, 45%) 100%
    );
}
.settings-body{
    padding: 20px;
background: linear-gradient(
        to left,
        lightgray 0%,
        white 30%,
        hsl(180, 85%, 45%) 100%
    );
}

/* hover */
.setting label:hover {
    background: #ffe066;
    transform: translate(-2px, -2px);
    box-shadow: 2px 2px 0px black;
    border-color: #f5f5f5;
}

.setting label:has(input:checked):hover,
.setting label:has(input:checked) {
    background: #ffcc00;
     background: radial-gradient(
        white 10%,
        hsl(55, 100%, 50%) 70%,
        hsl(48, 100%, 45%) 100%
    );
    transform: translate(1px, 1px);
    box-shadow: inset 1px 1px 0 #000;
    color:black;
    border-color: #000;
}

.setting label.selected {
    background: #ffcc00;
   
    transform: translate(-2px, -2px);
    box-shadow: 2px 2px 0px black;
    border-color: black;
    font-weight: bold;
    transform: translate(1px, 1px);
    box-shadow: inset 1px 1px 0 #000;
}
/* ===== TITRES ===== */

.setting > label:first-child {
    display: block;
    font-weight: bold;
    margin-bottom: 8px;
    font-size: 16px;
}

/* ===== GROUPE ===== */

.setting {
    margin-bottom: 15px;
    padding: 10px;
    border:solid 2px black;
    border-radius: 10px;
    background: #fff;
}

/* ===== RADIO CUSTOM ===== */
.setting input[type="radio"],
.setting input[type="checkbox"] {
    display: none;
}
.setting input[type="checkbox"] {
    color: transparent;
}

/* bouton visuel */
.setting label {
    display: inline-block;
    margin: 4px;
    padding: 6px 10px;

    border: 2px solid black;
    border-radius: 10px;
    background: #f5f5f5;

    cursor: pointer;
    transition: all 0.15s;
}


/* sélection */
.setting input[type="radio"]:checked + span,
.setting input[type="radio"]:checked + * {
    background: #ffcc00;
    background: none;
    transform: translate(-2px, -2px);
    box-shadow: 2px 2px 0px black;
    
}
.check-setting{
    width: 30px;
    height: 30px;
    padding: 0;
}
.check-setting::before{
    content:"✕";
    display:inline-flex;
    align-items:center;
    justify-content:center;
    width:100%;
    height:100%;
    margin-right:6px;
    padding: 0;
        line-height:1;
transform:translateY(-5px);
}

.check-setting:has(input:checked)::before{
    content:"✔";
    color:black;
    font-weight:bold;
    font-size:20px;
    line-height:1;
transform:translateY(-3px);
    padding: 0;

}
/* ===== bouton ===== */

#applySettings {
    width: 120px;
    margin-bottom:20px;
    padding: 10px;
    height: 50px;
    border: 3px solid black;
    border-radius: 12px;
    text-align: center;
    background: hsl(48, 100%, 50%);
    background: linear-gradient(
        90deg,
        lightgray 0%,
        white 30%,
        hsl(48, 100%, 45%) 100%
    );
    font-weight: bold;
    font-size: 16px;
    font-family: "Comic Sans MS", "Comic Neue", "cursive";

    cursor: pointer;

    box-shadow: 4px 4px 0px black;
    transition: all 0.1s;
}

/* effet clic BD */
#applySettings:active {
    transform: translate(4px, 4px);
    box-shadow: none;
}
/* cacher par défaut */
.hidden {
    display: none;
}